Notification
Cette page n'est pas disponible en français. La version anglaise est affichée.
Update workspace notification channel config
Saves workspace notification channel configuration. Secrets (webhook_url, bot_token) are write-only and never returned. Accessible by workspace-admin and super roles.
Authorization
BearerAuthObject AuthorizationBearer <token>
In: header
Path Parameters
id*string
Workspace UUID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v2/workspaces/0197f3c1-1b2c-7d3e-8f40-0a1b2c3d4e5f/notification-channels" \ -H "Content-Type: application/json" \ -d '{ "slack": { "enabled": true }, "email": { "enabled": true }, "telegram": { "enabled": true } }'Empty
{ "message": { "error": "Your request was made with invalid credentials." }}{ "message": { "error": "You are not allowed to perform this action." }}{ "message": { "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}" }}